EditableCritterProp (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.critter.EditableCritterProp class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.critter
Class EditableCritterProp

    java.lang.Object
      org.hyperic.ui.tapestry.components.critter.EditableCritterProp

All Implemented Interfaces:
  java.io.Serializable

    public class EditableCritterProp

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`EditableCritterProp(EditableCritterProp orig)`
`EditableCritterProp(java.lang.String id, java.lang.String name, java.lang.String purpose, CritterPropType type, java.lang.String stringValue)`

Method Summary
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPurpose()`
`java.lang.String` | `getStringValue()`
`CritterPropType` | `getType()`
`boolean` | `isStringProp()`
`void` | `setStringValue(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditableCritterProp

    public EditableCritterProp(EditableCritterProp orig)

### EditableCritterProp

    public EditableCritterProp(java.lang.String id,
                               java.lang.String name,
                               java.lang.String purpose,
                               CritterPropType type,
                               java.lang.String stringValue)

Method Detail

### getId

    public java.lang.String getId()

### getName

    public java.lang.String getName()

### getPurpose

    public java.lang.String getPurpose()

### getType

    public CritterPropType getType()

### getStringValue

    public java.lang.String getStringValue()

### setStringValue

    public void setStringValue(java.lang.String s)

### isStringProp

    public boolean isStringProp()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.